#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <gtk/gtk.h>
#include <gdk/gdk.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <locale.h>
#include <ctype.h>

#include "callbacks.h"
#include "interface.h"
#include "support.h"

double solde;
double check_solde;
char nom_fichier[100];
char nom_fichier_ps[100];
int change;

void
on_check_operation_clicked             (GtkButton       *button,
                                        gpointer         user_data)
{
  GtkWidget *list_op;
  GtkWidget *list_op2;
  GtkWidget *button_update;
  GdkPixmap *old_pixmap;
  GdkBitmap *old_mask;
  gint is_image;
  gint *no_ligne;

  list_op = GTK_WIDGET(user_data);
  list_op2 = lookup_widget(GTK_WIDGET(button), "list_op2");
  button_update = lookup_widget(GTK_WIDGET(button), "button4");

  is_image = gtk_clist_get_pixmap(GTK_CLIST(list_op2), GTK_CLIST(list_op2)->focus_row, 5, &old_pixmap, &old_mask);
  if(!is_image)
    {
      affiche_check(GTK_CLIST(list_op2)->focus_row, 5, list_op2);  
      no_ligne = gtk_clist_get_row_data(GTK_CLIST(list_op2), GTK_CLIST(list_op2)->focus_row);
      affiche_check(*no_ligne, 6, list_op);   
   
    }
  else
    {
      cache_check(GTK_CLIST(list_op2)->focus_row, 5, list_op2);    
      no_ligne = gtk_clist_get_row_data(GTK_CLIST(list_op2), GTK_CLIST(list_op2)->focus_row);  
      cache_check(*no_ligne, 6, list_op);      
    }
  on_update_clicked(GTK_BUTTON(button_update), user_data);
}


void
on_termine_clicked                     (GtkButton       *button,
                                        gpointer         user_data)
{
  GtkWidget *win_rapproch;
  win_rapproch = lookup_widget(GTK_WIDGET(button), "win_rapproch");
  gtk_widget_destroy(win_rapproch);
}

void
on_update_clicked                      (GtkButton       *button,
                                        gpointer         user_data)
{
  GtkWidget *entry1;
  GtkWidget *entry2;
  double resultat;
  char tampon[20];

  entry1 = lookup_widget(GTK_WIDGET(button), "entry1");
  entry2 = lookup_widget(GTK_WIDGET(button), "entry2");
  
  resultat = calcul_check(user_data) - atof(gtk_entry_get_text(GTK_ENTRY(entry1)));
  sprintf(tampon, "%.2f", (float)resultat);
  gtk_entry_set_text(GTK_ENTRY(entry2), tampon);
}




