#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <gtk/gtk.h>
#include <gdk/gdk.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <locale.h>

#include "callbacks.h"
#include "interface.h"
#include "support.h"

extern double solde;
extern char nom_fichier[100];
extern char nom_fichier_ps[100];


void
recalcule_solde                 (GtkCList *list_op)
{
  GdkColor couleur;

  double debit;
  double credit;
  int i=0;
  char *txt_credit;
  char *txt_debit;
  char tampon[50];

  solde = 0;
  gtk_clist_freeze(GTK_CLIST(list_op));
  couleur.green = 0;
  couleur.blue = 0;
  
  while(gtk_clist_get_text(GTK_CLIST(list_op), i, 2, &txt_debit))
    {
      gtk_clist_get_text(GTK_CLIST(list_op), i, 3, &txt_credit);
      debit = atof(txt_debit);
      credit = atof(txt_credit);
      solde = solde - debit + credit;
      if(solde<0)
	{
	  couleur.red = 65535;
	  gtk_clist_set_foreground(GTK_CLIST(list_op), i, &couleur);
	}
      else
	{
	  couleur.red = 0;
	  gtk_clist_set_foreground(GTK_CLIST(list_op), i, &couleur);
	}
      sprintf(tampon, "%.2f", (float)solde);
      gtk_clist_set_text(GTK_CLIST(list_op), i, 5, tampon);
      i++;
    }
  gtk_clist_thaw(GTK_CLIST(list_op));
  ligne_color(GTK_WIDGET(list_op));
}

double calcul_check                 (GtkWidget *list_op)
{
  double debit;
  double credit;
  int i=0;
  char *txt_credit;
  char *txt_debit;
  double check_solde;
  GdkPixmap *old_pixmap;
  GdkBitmap *old_mask;

  check_solde = 0;
  
  while(gtk_clist_get_text(GTK_CLIST(list_op), i, 2, &txt_debit))
    {
      gtk_clist_get_text(GTK_CLIST(list_op), i, 3, &txt_credit);
      debit = atof(txt_debit);
      credit = atof(txt_credit);
      if(gtk_clist_get_pixmap(GTK_CLIST(list_op), i, 6, &old_pixmap, &old_mask))
	{
	  debit = atof(txt_debit);
	  credit = atof(txt_credit);
	  check_solde = check_solde - debit + credit;
	}
      i++;
    }
  return  check_solde;
}
