#include <gtk/gtk.h>
#include <stdio.h>

typedef struct menu_action
{
  GtkWidget *widget;
  /* enregistrer = 0
     nouveau = 1
     ouvrir = 2 
     quitter = 3 
     enregistrer puis ouvrir = 4
  */
  guint type;
} action;


gboolean
on_window1_delete_event                (GtkWidget       *widget,
                                        GdkEvent        *event,
                                        gpointer         user_data);

void
on_nouveau1_activate                   (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_ouvrir1_activate                    (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_enregistrer1_activate               (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_enregistrer_ps_activate             (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_exporter_latex1_activate            (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_exporter_csv_activate               (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_exporter_html1_activate             (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_quitter1_activate                   (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_ajouter_une_op_ration2_activate     (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_d_bit_automatique1_activate         (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_cr_dit_automatique1_activate        (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_check_operation_activate            (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_a_propos1_activate                  (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

gboolean
on_dlg_about_delete_event              (GtkWidget       *widget,
                                        GdkEvent        *event,
                                        gpointer         user_data);

void
on_button1_clicked                     (GtkButton       *button,
                                        gpointer         user_data);

gboolean
on_win_saisie_delete_event             (GtkWidget       *widget,
                                        GdkEvent        *event,
                                        gpointer         user_data);

void
on_btn_ok_clicked                      (GtkButton       *button,
                                        gpointer         user_data);

void
on_btn_annuler_clicked                 (GtkButton       *button,
                                        gpointer         user_data);

void 
on_btn_operation_clicked               (GtkButton       *button,
                                        gpointer         user_data);
void
on_btn_delete_clicked                  (GtkButton       *button,
                                        gpointer         user_data);
void
on_btn_check_clicked                   (GtkButton       *button,
                                        gpointer         user_data);

void
ouvrir                                (GtkCList *list_op);

void
on_radio_debit_toggled                 (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_radio_credit_toggled                (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_radio_cheque_toggled                (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_radio_carte_toggled                 (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_btn_ok2_clicked                      (GtkButton       *button,
                                        gpointer         user_data);

void
on_btn_nouveau_clicked                 (GtkButton       *button,
                                        gpointer         user_data);

void
on_btn_ouvrir_clicked                  (GtkButton       *button,
                                        gpointer         user_data);

void
on_btn_enregister_clicked              (GtkButton       *button,
                                        gpointer         user_data);

void enregistrer                       (GtkCList        *clist1);

void
on_supprimer_operation_activate        (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
recalcule_solde                 (GtkCList *list_op);


void 
enreg_latex                     (GtkCList        *clist1);

void
save_nom_latex                              (GtkButton       *button,
					  gpointer         user_data);

void
affiche_check                            (gint row, gint column, 
					  GtkWidget *list_op);

void
cache_check                              (gint row, gint column, 
					  GtkWidget *list_op);

gboolean
on_win_choix_delete_event              (GtkWidget       *widget,
                                        GdkEvent        *event,
                                        gpointer         user_data);

void
on_choix_ok_clicked                    (GtkButton       *button,
                                        gpointer         user_data);

void
on_choix_cancel_clicked                (GtkButton       *button,
                                        gpointer         user_data);

void
ok_select                              (GtkButton       *button,
                                        gpointer         user_data);

void
on_check_operation_clicked             (GtkButton       *button,
                                        gpointer         user_data);


void
on_termine_clicked                     (GtkButton       *button,
                                        gpointer         user_data);

void
ligne_color                            (GtkWidget *list_op);

double 
calcul_check                           (GtkWidget *list_op);

void
on_update_clicked                      (GtkButton       *button,
                                        gpointer         user_data);

void
insert_text_handler                    (GtkEditable *editable,
					const gchar *text,
					gint         length,
					gint        *position,
					gpointer     data);

void 
esc_latex                              (FILE *ptr_fic, char *text);

void 
enreg_html                             (GtkCList        *clist1);

void
save_nom_html                          (GtkButton       *button,
					gpointer         user_data);
void 
esc_html                               (FILE *ptr_fic, char *text);

void
save_nom_csv                              (GtkButton       *button,
					   gpointer         user_data);  

void 
enreg_csv                     (GtkCList        *list_op);
