#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <gtk/gtk.h>
#include <gdk/gdk.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <locale.h>

#include "callbacks.h"
#include "interface.h"
#include "support.h"

extern double solde;
extern char nom_fichier[100];
extern char nom_fichier_ps[100];
extern int change;


void
ouvrir                                (GtkCList         *list_op)
{
  FILE *ptr_fic;
  char **operation;
  char buffer[120];
  GDate *date = NULL;

  ptr_fic = fopen(nom_fichier, "r");
  if(ptr_fic)
    {
      gtk_clist_freeze(GTK_CLIST(list_op));
      date = g_date_new();
      while(fread(date, sizeof(GDate), 1, ptr_fic))
	{
	  fgets(buffer, sizeof(buffer), ptr_fic);
	  //	  g_print("%s\n", buffer);
	  operation = g_strsplit(buffer, "|", 8);
	  gtk_clist_append(GTK_CLIST(list_op), operation);
	  gtk_clist_set_row_data(GTK_CLIST(list_op), 
				 GTK_CLIST(list_op)->rows - 1, date);
	  if(!strcmp(operation[6], "C"))
	    affiche_check(GTK_CLIST(list_op)->rows - 1, 6,GTK_WIDGET(list_op));
	  else
	    cache_check(GTK_CLIST(list_op)->rows - 1, 6, GTK_WIDGET(list_op));
	  solde = atof(operation[5]);
	  g_strfreev(operation);
	  date = g_date_new();
	}
      g_date_free(date);
      fclose(ptr_fic);
      gtk_clist_thaw(GTK_CLIST(list_op));
      recalcule_solde(GTK_CLIST(list_op));
    }
}

void enregistrer                       (GtkCList        *clist1)
{
  GdkPixmap *pixmap;
  GdkBitmap *mask;
  FILE *ptr_fic;
  gchar buffer[120];
  gchar *tampon;
  gint colonne=0;
  GDate *date = NULL;

  ptr_fic = fopen(nom_fichier, "w");
  if(ptr_fic)
    {
      while(gtk_clist_get_text(GTK_CLIST(clist1), colonne, 0, &tampon))
	{
	  date = (GDate*)(gtk_clist_get_row_data(GTK_CLIST(clist1), colonne));
	  if(date)
	    fwrite(date, sizeof(GDate), 1, ptr_fic);
	  strcpy(buffer, tampon);
	  strcat(buffer, "|");
	  gtk_clist_get_text(GTK_CLIST(clist1), colonne, 1, &tampon);
	  strcat(buffer, tampon);
	  strcat(buffer, "|");
	  gtk_clist_get_text(GTK_CLIST(clist1), colonne, 2, &tampon);
	  strcat(buffer, tampon);
	  strcat(buffer, "|");
	  gtk_clist_get_text(GTK_CLIST(clist1), colonne, 3, &tampon);
	  strcat(buffer, tampon);
	  strcat(buffer, "|");
	  gtk_clist_get_text(GTK_CLIST(clist1), colonne, 4, &tampon);
	  strcat(buffer, tampon);
	  strcat(buffer, "|");
	  gtk_clist_get_text(GTK_CLIST(clist1), colonne, 5, &tampon);
	  strcat(buffer, tampon);
	  strcat(buffer, "|");
	  if(gtk_clist_get_pixmap(GTK_CLIST(clist1), colonne, 6, &pixmap, &mask))
	      strcat(buffer, "C");
	  strcat(buffer, "|\n");	  
	  fputs(buffer, ptr_fic);
	  colonne++;
	}
      fclose(ptr_fic);
      change = 0;
    }
  else
    {
      g_print("erreur d'ecriture dans le fichier %s\n", nom_fichier);
    }
}




