#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <gtk/gtk.h>
#include <gdk/gdk.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <locale.h>
#include <unistd.h>

#include "callbacks.h"
#include "interface.h"
#include "support.h"

extern double solde;
extern char nom_fichier[100];
extern char nom_fichier_ps[100];
char nom_fichier_html[100];

void
save_nom_html                         (GtkButton       *button,
                                       gpointer         user_data)  
{
  GtkWidget *fileselection1;
  GtkWidget *dlg_mess;
  GtkWidget *lbl_mess;
  FILE *ptr_fic;
  
  fileselection1 = lookup_widget(GTK_WIDGET(button),"fileselection1");
  strcpy(nom_fichier_html, gtk_file_selection_get_filename(GTK_FILE_SELECTION(fileselection1)));
  /*g_print("%s\n",nom_fichier_html);*/
  gtk_widget_destroy(GTK_WIDGET(fileselection1));
  if((ptr_fic = fopen(nom_fichier_html, "a")))
    {
      fclose(ptr_fic);
      enreg_html(GTK_CLIST(user_data));
    }
  else
    {
      dlg_mess = create_dlg_message ();
      lbl_mess = lookup_widget(GTK_WIDGET(dlg_mess), "lbl_info");
      gtk_label_set(GTK_LABEL(lbl_mess), "Nom de fichier non valide");
      gtk_widget_show(dlg_mess);
      strcpy(nom_fichier, "");
    }
} 

void 
enreg_html                     (GtkCList        *list_op)
{
  FILE *ptr_fic;
  char *tampon;
  int colonne=0;

  ptr_fic = fopen(nom_fichier_html, "w");  
  if(ptr_fic)
    {
      fputs("<html>\n<head>\n<meta http-equiv=\"Content-Type\" content=\"text/html; charset=\"iso-8859-1\">\n</head>\n<body>\n", ptr_fic);
      fputs("<TABLE COLS=6 BORDER=2>", ptr_fic);
      while(gtk_clist_get_text(GTK_CLIST(list_op), colonne, 0, &tampon))
	{
	  fputs("<TR><TD>", ptr_fic);
	  esc_html(ptr_fic, tampon);
	  fprintf(ptr_fic, "</TD><TD>");
	  gtk_clist_get_text(GTK_CLIST(list_op), colonne, 1, &tampon);
	  esc_html(ptr_fic, tampon);
	  fprintf(ptr_fic, "</TD><TD>");
	  gtk_clist_get_text(GTK_CLIST(list_op), colonne, 2, &tampon);
	  esc_html(ptr_fic, tampon);
	  fprintf(ptr_fic, "</TD><TD>");
	  gtk_clist_get_text(GTK_CLIST(list_op), colonne, 3, &tampon);
	  esc_html(ptr_fic, tampon);
	  fprintf(ptr_fic, "</TD><TD>");
	  gtk_clist_get_text(GTK_CLIST(list_op), colonne, 4, &tampon);
	  esc_html(ptr_fic, tampon);
	  fprintf(ptr_fic, "</TD><TD>");
	  gtk_clist_get_text(GTK_CLIST(list_op), colonne, 5, &tampon);
	  esc_html(ptr_fic, tampon);
	  fprintf(ptr_fic, "</TD></TR>\n");	  
	  colonne++;
	}
      fputs("</TABLE>\n</BODY>\n</HTML>", ptr_fic);
      fclose(ptr_fic);
    }
  else
    {
      g_print("erreur d'ecriture dans le fichier %s\n", nom_fichier_html);
    }
}

void esc_html(FILE *ptr_fic, char *text)
{
  gchar * c;

  for (c = text; *c; ++c)
  {
    switch(*c) 
      {
      case '<':
	fprintf(ptr_fic, "&lt");
      case '>':
	fprintf(ptr_fic, "&gt");	
      default:
	fprintf(ptr_fic, "%c", *c);
      }
  }
}
