#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <sys/stat.h>
#include <unistd.h>
#include <string.h>

#include <gdk/gdkkeysyms.h>
#include <gtk/gtk.h>

#include "interface.h"
#include "callbacks.h"
#include "support.h"

extern double solde;
extern char nom_fichier[100];
extern char nom_fichier_ps[100];



GtkWidget*
create_dlg_about ()
{
  GtkWidget *dlg_about;
  GtkWidget *dialog_vbox1;
  GtkWidget *lbl_about;
  GtkWidget *dialog_action_area1;
  GtkWidget *button1;

  dlg_about = gtk_dialog_new ();
  gtk_object_set_data (GTK_OBJECT (dlg_about), "dlg_about", dlg_about);
  GTK_WINDOW (dlg_about)->type = GTK_WINDOW_DIALOG;
  gtk_window_set_title (GTK_WINDOW (dlg_about), _("About ..."));
  gtk_window_set_policy (GTK_WINDOW (dlg_about), TRUE, TRUE, FALSE);

  dialog_vbox1 = GTK_DIALOG (dlg_about)->vbox;
  gtk_object_set_data (GTK_OBJECT (dlg_about), "dialog_vbox1", dialog_vbox1);
  gtk_widget_show (dialog_vbox1);
  gtk_container_set_border_width (GTK_CONTAINER (dialog_vbox1), 10);

  lbl_about = gtk_label_new (_("(C) 1999 Fabien Marchewka\n Autors: Fabien Marchewka (furax@sda.cc)\n GPL software\n\n Gcompte 0.3.3\nhttp://void.free.fr/gcompte"));
  gtk_object_set_data (GTK_OBJECT (dlg_about), "lbl_about", lbl_about);
  gtk_widget_show (lbl_about);
  gtk_box_pack_start (GTK_BOX (dialog_vbox1), lbl_about, FALSE, FALSE, 0);
  gtk_misc_set_padding (GTK_MISC (lbl_about), 6, 21);

  dialog_action_area1 = GTK_DIALOG (dlg_about)->action_area;
  gtk_object_set_data (GTK_OBJECT (dlg_about), "dialog_action_area1", dialog_action_area1);
  gtk_widget_show (dialog_action_area1);
  gtk_container_set_border_width (GTK_CONTAINER (dialog_action_area1), 6);

  button1 = gtk_button_new_with_label ("Ok");
  gtk_object_set_data (GTK_OBJECT (dlg_about), "button1", button1);
  gtk_widget_show (button1);
  gtk_box_pack_start (GTK_BOX (dialog_action_area1), button1, FALSE, FALSE, 0);
  gtk_widget_set_usize (button1, 65, 25);

  gtk_signal_connect (GTK_OBJECT (dlg_about), "delete_event",
                      GTK_SIGNAL_FUNC (on_dlg_about_delete_event),
                      dlg_about);
  gtk_signal_connect (GTK_OBJECT (button1), "clicked",
                      GTK_SIGNAL_FUNC (on_button1_clicked),
                      dlg_about);
  gtk_grab_add(dlg_about);
  return dlg_about;
}


