#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <gtk/gtk.h>

#include "callbacks.h"
#include "interface.h"
#include "support.h"

extern double solde;
extern char nom_fichier[100];
extern int can_quit;
extern int change;

gboolean
on_win_choix_delete_event              (GtkWidget       *widget,
                                        GdkEvent        *event,
                                        gpointer         user_data)
{
  gtk_widget_destroy(GTK_WIDGET(widget));
  return FALSE;
}

void
on_choix_ok_clicked                    (GtkButton       *button,
                                        gpointer         user_data)
{
  GtkWidget *win_choix;
  GtkWidget *fileselection1;
  action *act = user_data;
 
  win_choix = lookup_widget(GTK_WIDGET(button), "win_choix");
  gtk_widget_destroy(GTK_WIDGET(win_choix));
  fileselection1 = create_fileselection1();
  gtk_window_set_title(GTK_WINDOW(fileselection1), _("Save ..."));
  switch(act->type)
    {
    case 0:
      break;
    case 1:
      gtk_signal_connect (
             GTK_OBJECT(GTK_FILE_SELECTION(fileselection1)->ok_button),
             "clicked",
              (GtkSignalFunc)ok_select, act);      
      gtk_widget_show(fileselection1);
      break;
    case 2:
      act->type = 4;
      gtk_signal_connect (
             GTK_OBJECT(GTK_FILE_SELECTION(fileselection1)->ok_button),
             "clicked",
              (GtkSignalFunc)ok_select, act);      
      gtk_widget_show(fileselection1);
      
      break;
    case 3:
      if(change)
	{
	  gtk_signal_connect (GTK_OBJECT(GTK_FILE_SELECTION(fileselection1)->ok_button),
			      "clicked",
			      (GtkSignalFunc)ok_select, act);      
	  gtk_widget_show(fileselection1);
	}
      else
	{
	  enregistrer(GTK_CLIST(act->widget));
	  gtk_main_quit();
	}
      break;
    default:
      break;
    }
}

void
on_choix_cancel_clicked                (GtkButton       *button,
                                        gpointer         user_data)
{
  action *act = user_data;
  GtkWidget *fileselection1;
  GtkWidget *win_choix;
  
  win_choix = lookup_widget(GTK_WIDGET(button), "win_choix");
  gtk_widget_destroy(GTK_WIDGET(win_choix));
  change = 0;

  switch(act->type)
    {
    case 0:
      break;
    case 1:
      // nouveau fichier
      gtk_clist_clear(GTK_CLIST(act->widget));
      solde = 0;
      break;
    case 2:
      // ouvrir un nouveau fichier
      gtk_clist_clear(GTK_CLIST(act->widget));
      solde = 0;
      fileselection1 = create_fileselection1 ();
      gtk_window_set_title(GTK_WINDOW(fileselection1), _("Open ..."));
      gtk_signal_connect (GTK_OBJECT(GTK_FILE_SELECTION(fileselection1)->ok_button),
			  "clicked",
			  (GtkSignalFunc)ouvrir, act->widget);
      gtk_widget_show (fileselection1);      
      break;
    case 3:
      // quitter l'application
      gtk_main_quit();
      break;
    default:
      break;
    }
}



