#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <gtk/gtk.h>
#include <gdk/gdk.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <locale.h>

#include "callbacks.h"
#include "interface.h"
#include "support.h"

extern double solde;
extern double check_solde;
extern char nom_fichier[100];
extern char nom_fichier_ps[100];
extern int change;

gboolean
on_win_saisie_delete_event             (GtkWidget       *widget,
                                        GdkEvent        *event,
                                        gpointer         user_data)
{
  gtk_widget_destroy(GTK_WIDGET(widget));
  return FALSE;
}


void
on_btn_ok_clicked                      (GtkButton       *button,
                                        gpointer         user_data)
{
  GdkColor couleur;
  GtkWidget *win_main;
  gchar* clist_data[7];
  gchar tampon[50];
  gint DEBIT;
  gint PREL;
  gint CARTE;
  guint CHEQUE;
  guint annee;
  guint mois;
  guint jour;
  gint ligne = 0;
  GtkWidget *list_op;
  GtkWidget *txt_montant;
  GtkWidget *txt_lib;
  GtkWidget *spin_numero;
  GtkWidget *radio_debit;
  GtkWidget *calendrier;
  GtkWidget *radio_cheque;
  GtkWidget *radio_carte;
  GtkWidget *radio_vers_prel;
  //  GtkWidget *txt_bal;
  GDate *date_op;
  GDate *date1;
  struct lconv *loc;
  double montant=0;
  int decimale=0;
  int entier=0;
  char temp;
  int i;

  change = 1;
  win_main = GTK_WIDGET(user_data);
  txt_montant = lookup_widget(GTK_WIDGET(button), "txt_montant");
  txt_lib = lookup_widget(GTK_WIDGET(button), "entry2");
  spin_numero = lookup_widget(GTK_WIDGET(button), "spin_numero");
  radio_debit = lookup_widget(GTK_WIDGET(button), "radio_debit");
  calendrier = lookup_widget(GTK_WIDGET(button), "calendrier");
  radio_cheque = lookup_widget(GTK_WIDGET(button), "radio_cheque");
  radio_carte = lookup_widget(GTK_WIDGET(button), "radio_carte");
  radio_vers_prel = lookup_widget(GTK_WIDGET(button), "radio_vers_prel");
  //  txt_bal = lookup_widget(GTK_WIDGET(user_data), "txt_bal");

  DEBIT = gtk_toggle_button_get_active(GTK_TOGGLE_BUTTON(radio_debit));
  PREL = gtk_toggle_button_get_active(GTK_TOGGLE_BUTTON(radio_vers_prel));
  CARTE = gtk_toggle_button_get_active(GTK_TOGGLE_BUTTON(radio_carte));
  CHEQUE = gtk_toggle_button_get_active(GTK_TOGGLE_BUTTON(radio_cheque));

  gtk_calendar_get_date(GTK_CALENDAR(calendrier), &annee, &mois, &jour);
  date_op = g_date_new_dmy(jour, mois+1, annee);

  clist_data[0]=g_malloc(20*sizeof(char));
  clist_data[1]=g_malloc(20*sizeof(char));
  clist_data[2]=g_malloc(20*sizeof(char));
  clist_data[3]=g_malloc(20*sizeof(char));
  clist_data[4]=g_malloc(20*sizeof(char));
  clist_data[5]=g_malloc(20*sizeof(char));

  g_date_strftime(clist_data[0], 20, "%d-%b-%y", date_op);
  strcpy(clist_data[1],gtk_entry_get_text(GTK_ENTRY(txt_lib)));
  if(DEBIT)
  {
    sscanf(gtk_entry_get_text(GTK_ENTRY(txt_montant)), "%d%[.,]%d", &entier, &temp, &decimale);
    loc = localeconv();
    sprintf(tampon, "%d%c%d", entier, *(loc->decimal_point), decimale);
    montant = atof(tampon);
    sprintf(clist_data[2], "%.2f", montant);
    solde = solde - montant;
    sprintf(clist_data[5], "%.2f", (float)solde);
    strcpy(clist_data[3], "");
   if(PREL)
      strcpy(clist_data[4], "PREL");
  }
  else
  {
    sscanf(gtk_entry_get_text(GTK_ENTRY(txt_montant)), "%d%[.,]%d", &entier, &temp, &decimale);
    loc = localeconv();
    sprintf(tampon, "%d%c%d", entier, *(loc->decimal_point), decimale);
    montant = atof(tampon);
    sprintf(clist_data[3], "%.2f", montant);
    solde = solde + montant;
    sprintf(clist_data[5], "%.2f", (float)solde);
    strcpy(clist_data[2], "");
    if(PREL)
      strcpy(clist_data[4], "VIRT");
  }

  if(CHEQUE)
    {
      strcpy(clist_data[4],gtk_entry_get_text(GTK_ENTRY(spin_numero)));
      gtk_spin_button_spin(GTK_SPIN_BUTTON(spin_numero), GTK_SPIN_STEP_FORWARD, 1);
    }
  if(CARTE)
    strcpy(clist_data[4], "CARTE");

  list_op = lookup_widget (GTK_WIDGET (win_main), "list_op");
  /*on doit rechercher la date la plus adaptee*/
  for(i=0; i<GTK_CLIST(list_op)->rows;i++)
    {
      date1 = (GDate*)(gtk_clist_get_row_data(GTK_CLIST(list_op), ligne));
      /*g_print("%d , lign %d \n", date1, ligne);*/
      if(g_date_compare(date1, date_op) > 0)
	i = GTK_CLIST(list_op)->rows+1;
      /*g_print("%d , lign %d \n", date1, ligne);*/
      ligne++;
      }
  if(ligne>0 && ligne < i)
    ligne--;
  clist_data[6] = NULL;
  //  g_print("insertion lign : %d\n",ligne);
  gtk_clist_append(GTK_CLIST(list_op), clist_data);
  gtk_clist_set_row_data(GTK_CLIST(list_op), GTK_CLIST(list_op)->rows - 1, date_op);
  gtk_clist_row_move(GTK_CLIST(list_op), GTK_CLIST(list_op)->rows - 1, ligne);
  couleur.green = 0;
  couleur.blue = 0;
  if(solde<0)
    couleur.red = 65535;
  else
    couleur.red = 0;
  gtk_clist_set_foreground(GTK_CLIST(list_op), ligne, &couleur);
  // affichage de la balance
  //sprintf(tampon, "%.2f", (float)check_solde - (float)solde);
  //gtk_entry_set_text(GTK_ENTRY(txt_bal), tampon);
  g_free(clist_data[0]);
  g_free(clist_data[1]);
  g_free(clist_data[2]);
  g_free(clist_data[3]);
  g_free(clist_data[4]);
  g_free(clist_data[5]);
  /* reinitialisation des differents champs */
  gtk_entry_set_text(GTK_ENTRY(txt_montant), "");
  gtk_entry_set_text(GTK_ENTRY(txt_lib), "");
  /*g_date_free(date_op);*/
  recalcule_solde(GTK_CLIST(list_op));
}


void
on_btn_annuler_clicked                 (GtkButton       *button,
                                        gpointer         user_data)
{
  GtkWidget *win_saisie;
  win_saisie = lookup_widget(GTK_WIDGET(button), "win_saisie");
  gtk_widget_destroy(GTK_WIDGET(win_saisie));
}

void
on_radio_debit_toggled                 (GtkToggleButton *togglebutton,
                                        gpointer         user_data)
{
}

void
on_radio_credit_toggled                (GtkToggleButton *togglebutton,
                                        gpointer         user_data)
{
  GtkWidget *radio_vers_prel;
  
  radio_vers_prel = lookup_widget(GTK_WIDGET(togglebutton), "radio_vers_prel");
  if(!gtk_toggle_button_get_active(GTK_TOGGLE_BUTTON(radio_vers_prel))
     && gtk_toggle_button_get_active(GTK_TOGGLE_BUTTON(togglebutton)))
    gtk_toggle_button_set_active(GTK_TOGGLE_BUTTON(radio_vers_prel), TRUE);

}

void
on_radio_cheque_toggled                (GtkToggleButton *togglebutton,
                                        gpointer         user_data)
{
  GtkWidget *radio_debit;
  
  radio_debit = lookup_widget(GTK_WIDGET(togglebutton), "radio_debit");
  if(!gtk_toggle_button_get_active(GTK_TOGGLE_BUTTON(radio_debit))
     && gtk_toggle_button_get_active(GTK_TOGGLE_BUTTON(togglebutton)))
    gtk_toggle_button_set_active(GTK_TOGGLE_BUTTON(radio_debit), TRUE);

}

void
on_radio_carte_toggled                 (GtkToggleButton *togglebutton,
                                        gpointer         user_data)
{
  GtkWidget *radio_debit;
  
  radio_debit = lookup_widget(GTK_WIDGET(togglebutton), "radio_debit");
  if(!gtk_toggle_button_get_active(GTK_TOGGLE_BUTTON(radio_debit))
     && gtk_toggle_button_get_active(GTK_TOGGLE_BUTTON(togglebutton)))
    gtk_toggle_button_set_active(GTK_TOGGLE_BUTTON(radio_debit), TRUE);

}














