#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <gtk/gtk.h>
#include <gdk/gdk.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <locale.h>
#include <unistd.h>

#include "callbacks.h"
#include "interface.h"
#include "support.h"

extern double solde;
extern char nom_fichier[100];
extern char nom_fichier_ps[100];
char nom_fichier_csv[100];

void
save_nom_csv                              (GtkButton       *button,
                                       gpointer         user_data)  
{
  GtkWidget *fileselection1;
  GtkWidget *dlg_mess;
  GtkWidget *lbl_mess;
  FILE *ptr_fic;
  
  fileselection1 = lookup_widget(GTK_WIDGET(button),"fileselection1");
  strcpy(nom_fichier_csv, gtk_file_selection_get_filename(GTK_FILE_SELECTION(fileselection1)));
  /*g_print("%s\n",nom_fichier);*/
  gtk_widget_destroy(GTK_WIDGET(fileselection1));
  if((ptr_fic = fopen(nom_fichier_ps, "a")))
    {
      fclose(ptr_fic);
      enreg_csv(GTK_CLIST(user_data));
    }
  else
    {
      dlg_mess = create_dlg_message ();
      lbl_mess = lookup_widget(GTK_WIDGET(dlg_mess), "lbl_info");
      gtk_label_set(GTK_LABEL(lbl_mess), "Nom de fichier non valide");
      gtk_widget_show(dlg_mess);
      strcpy(nom_fichier, "");
    }
} 

void 
enreg_csv                     (GtkCList        *list_op)
{
  FILE *ptr_fic;
  char *tampon;
  int colonne=0;

  ptr_fic = fopen(nom_fichier_ps, "w");  
  if(ptr_fic)
    {
      while(gtk_clist_get_text(GTK_CLIST(list_op), colonne, 0, &tampon))
	{
	  fputs(tampon, ptr_fic);
	  fprintf(ptr_fic, "|");
	  gtk_clist_get_text(GTK_CLIST(list_op), colonne, 1, &tampon);
	  fputs(tampon, ptr_fic);
	  fprintf(ptr_fic, "|");
	  gtk_clist_get_text(GTK_CLIST(list_op), colonne, 2, &tampon);
	  fputs(tampon, ptr_fic);
	  fprintf(ptr_fic, "|");
	  gtk_clist_get_text(GTK_CLIST(list_op), colonne, 3, &tampon);
	  fputs(tampon, ptr_fic);
	  fprintf(ptr_fic, "|");
	  gtk_clist_get_text(GTK_CLIST(list_op), colonne, 4, &tampon);
	  fputs(tampon, ptr_fic);
	  fprintf(ptr_fic, "|");
	  gtk_clist_get_text(GTK_CLIST(list_op), colonne, 5, &tampon);
	  fputs(tampon, ptr_fic);
	  fprintf(ptr_fic, "\n");	  
	  colonne++;
	}
      fclose(ptr_fic);
    }
  else
    {
      g_print("erreur d'ecriture dans le fichier %s\n", nom_fichier);
    }
}
