/*
 * NE PAS EDITER CE FICHIER - il est gnr par Glade.
 */

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <sys/stat.h>
#include <unistd.h>
#include <string.h>

#include <gdk/gdkkeysyms.h>
#include <gtk/gtk.h>

#include "callbacks.h"
#include "interface.h"
#include "support.h"

GtkWidget*
create_win_choix ()
{
  GtkWidget *win_choix;
  GtkWidget *vbox1;
  GtkWidget *hbox2;
  GtkWidget *pixmap1;
  GtkWidget *lbl_choix;
  GtkWidget *hbuttonbox1;
  GtkWidget *choix_ok;
  GtkWidget *choix_cancel;

  win_choix = gtk_window_new (GTK_WINDOW_TOPLEVEL);
  gtk_object_set_data (GTK_OBJECT (win_choix), "win_choix", win_choix);
  gtk_window_set_title (GTK_WINDOW (win_choix), _("message :"));
  gtk_window_set_policy (GTK_WINDOW (win_choix), FALSE, FALSE, FALSE);

  vbox1 = gtk_vbox_new (FALSE, 0);
  gtk_widget_ref (vbox1);
  gtk_object_set_data_full (GTK_OBJECT (win_choix), "vbox1", vbox1,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (vbox1);
  gtk_container_add (GTK_CONTAINER (win_choix), vbox1);

  hbox2 = gtk_hbox_new (FALSE, 0);
  gtk_widget_ref (hbox2);
  gtk_object_set_data_full (GTK_OBJECT (win_choix), "hbox2", hbox2,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (hbox2);
  gtk_box_pack_start (GTK_BOX (vbox1), hbox2, FALSE, TRUE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (hbox2), 15);

  pixmap1 = create_pixmap (win_choix, "attention.xpm");
  gtk_widget_ref (pixmap1);
  gtk_object_set_data_full (GTK_OBJECT (win_choix), "pixmap1", pixmap1,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (pixmap1);
  gtk_box_pack_start (GTK_BOX (hbox2), pixmap1, FALSE, TRUE, 0);

  lbl_choix = gtk_label_new ("");
  gtk_widget_ref (lbl_choix);
  gtk_object_set_data_full (GTK_OBJECT (win_choix), "lbl_choix", lbl_choix,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (lbl_choix);
  gtk_box_pack_start (GTK_BOX (hbox2), lbl_choix, TRUE, FALSE, 0);

  hbuttonbox1 = gtk_hbutton_box_new ();
  gtk_widget_ref (hbuttonbox1);
  gtk_object_set_data_full (GTK_OBJECT (win_choix), "hbuttonbox1", hbuttonbox1,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (hbuttonbox1);
  gtk_box_pack_start (GTK_BOX (vbox1), hbuttonbox1, FALSE, TRUE, 0);
  gtk_button_box_set_layout (GTK_BUTTON_BOX (hbuttonbox1), GTK_BUTTONBOX_SPREAD);

  choix_ok = gtk_button_new_with_label (_("Yes"));
  gtk_widget_ref (choix_ok);
  gtk_object_set_data_full (GTK_OBJECT (win_choix), "choix_ok", choix_ok,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (choix_ok);
  gtk_container_add (GTK_CONTAINER (hbuttonbox1), choix_ok);
  GTK_WIDGET_SET_FLAGS (choix_ok, GTK_CAN_DEFAULT);

  choix_cancel = gtk_button_new_with_label (_("No"));
  gtk_widget_ref (choix_cancel);
  gtk_object_set_data_full (GTK_OBJECT (win_choix), "choix_cancel", choix_cancel,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (choix_cancel);
  gtk_container_add (GTK_CONTAINER (hbuttonbox1), choix_cancel);
  GTK_WIDGET_SET_FLAGS (choix_cancel, GTK_CAN_DEFAULT);

  gtk_signal_connect (GTK_OBJECT (win_choix), "delete_event",
                      GTK_SIGNAL_FUNC (on_win_choix_delete_event),
                      win_choix);
  /*gtk_signal_connect (GTK_OBJECT (choix_ok), "clicked",
                      GTK_SIGNAL_FUNC (on_choix_ok_clicked),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (choix_cancel), "clicked",
                      GTK_SIGNAL_FUNC (on_choix_cancel_clicked),
                      NULL);*/
  gtk_grab_add(win_choix);
  return win_choix;
}

